summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPedro Arizmendi <silmano@gmail.com>2013-01-28 18:40:26 +0100
committerPedro Arizmendi <silmano@gmail.com>2013-01-28 18:40:26 +0100
commita9db8612b57f1f5291c676e765f6f6407682c5c9 (patch)
treef6a724278e4becf515818a9080b4a7d0de5bc98d /net-wireless/eyefiserver/eyefiserver-2.3_rc2.ebuild
parentAdded Manifest & metadata, corrected ebuild. (diff)
downloadsilmano-a9db8612b57f1f5291c676e765f6f6407682c5c9.tar.gz
silmano-a9db8612b57f1f5291c676e765f6f6407682c5c9.tar.bz2
silmano-a9db8612b57f1f5291c676e765f6f6407682c5c9.zip
Updated install methods. Updated metadata.
Diffstat (limited to 'net-wireless/eyefiserver/eyefiserver-2.3_rc2.ebuild')
-rw-r--r--net-wireless/eyefiserver/eyefiserver-2.3_rc2.ebuild33
1 files changed, 25 insertions, 8 deletions
diff --git a/net-wireless/eyefiserver/eyefiserver-2.3_rc2.ebuild b/net-wireless/eyefiserver/eyefiserver-2.3_rc2.ebuild
index b5a5ef6..cef0eb1 100644
--- a/net-wireless/eyefiserver/eyefiserver-2.3_rc2.ebuild
+++ b/net-wireless/eyefiserver/eyefiserver-2.3_rc2.ebuild
@@ -2,29 +2,46 @@
# Distributed under the terms of the GNU General Public License v2
# $Header: $
+EAPI="2"
+
DESCRIPTION="An open source Eye-Fi Server written in Python."
HOMEPAGE="http://returnbooleantrue.blogspot.com/"
-SRC_URI="https://github.com/nirgal/EyeFiServer/${PVR}.tar.gz"
+SRC_URI="https://github.com/nirgal/EyeFiServer/archive/${PVR}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"
+IUSE="doc"
+
+DEPEND="dev-lang/python
+ doc? ( app-text/txt2man )"
src_unpack() {
unpack ${A}
- cd "${S}"
- rm README
- rm .gitignore
- rm -rf doc
+}
+
+src_prepare() {
+ cd "${WORKDIR}/EyeFiServer-${PVR}"
+ if use doc ; then
+ txt2man -t eyefiserver -r eyefiserver -s 1 -v "Executable programs or shell commands" -I file doc/eyefiserver.txt > doc/eyefiserver.1
+ txt2man -t eyefiserver.conf -r eyefiserver -s 5 -v "File formats and conventions" doc/eyefiserver.conf.txt > doc/eyefiserver.conf.5
+ fi
}
src_install() {
- cp -R "${S}/etc" "/etc" || die "Install failed!"
- cp "${S}/src" "/local/bin" || die "Install failed!"
+ cd "${WORKDIR}/EyeFiServer-${PVR}"
+ insinto /etc
+ doins etc/eyefiserver.conf || die
+ doinitd etc/init.d/eyefiserver || die
+ exeinto /usr/bin
+ doexe src/eyefiserver || die
+ if use doc ; then
+ doman doc/eyefiserver.1 || die
+ doman doc/eyefiserver.conf.5 || die
+ fi
}
pkg_postinst() {
elog "You will need to set up your /etc/eyefiserver.conf file before"
elog "running EyeFi Server for the first time."
}
-